GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/policies/templates
Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Responses
200 Response
application/json
status
boolean
required
data
array [object]
required
templateId
string
required
templateVersion
integer
required
templatePolicy
object
required
config
object
required
applications
array [object]
required
{
"status": true,
"data": [
{
"templateId": "string",
"templateVersion": 0,
"templatePolicy": {
"config": {
"applications": [
{
"packageName": "string",
"installType": "string",
"roles": [
{
"roleType": "string"
}
]
}
]
},
"applications": [
{
"aosApplicationId": "string",
"action": "forceInstall",
"updatePolicy": {},
"customAppConfig": {}
}
]
}
}
]
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}